Retrieve patient profiles by mobile number
curl --request GET \
--url https://api.eka.care/profiles/v1/patient/by-mobile/ \
--header 'Authorization: Bearer <token>' \
--header 'client-id: <client-id>'import requests
url = "https://api.eka.care/profiles/v1/patient/by-mobile/"
headers = {
"client-id": "<client-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-id': '<client-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.eka.care/profiles/v1/patient/by-mobile/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mobile": "1212121212",
"fln": "Test user",
"dob": "2000-01-02",
"gen": "M",
"oid": "175074536120088",
"username": "US0001",
"abha": "xyz@abdm",
"ccd": "+91",
"ps": "P"
}Patient Directory APIs
Retrieve patient profiles by mobile number
Retrieves patient profiles using the mobile number in a workspace.
The mobile number must be in the format +<country_code><number>.
By default, it returns a minimal profile with oid, username, fln, gen, dob, abha, ccd, ps. To get the full profile, set full_profile=true.
GET
/
profiles
/
v1
/
patient
/
by-mobile
/
Retrieve patient profiles by mobile number
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"EC_1431"
Query Parameters
Example:
"+911234567890"
If true, returns the full patient profile details.
Response
200 - application/json
Patient profile details
Was this page helpful?

